Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Feb 2016 16:46:09 +0200

> Date: Fri, 5 Feb 2016 12:55:59 +0000
> From: Alan Mackenzie <[email-masked]>
> 
> I've just tried to paste some text into a fundamental mode buffer, using
> GNU/Linux's GPM mouse utility.  It gets fouled up by some facility that
> decides I want some automatic indentation, despite being in fundamental
> mode.  As far as I understand, GPM does pasting by effectively typing a
> character at a time.

You want to turn off electric-indent-mode, I think.

> This is surely a bug.

No, it's a deliberate feature, AFAIU.